//只允许输入整数
export const integerOnly = {
    beforeMount(el) {
      el.addEventListener('input', event => {
        // 获取输入框的当前值
        let value = event.target.value;
   
        // 使用正则表达式来匹配非整数字符，替换为空字符串
        value = value.replace(/[^0-9]/g, '');
   
        // 如果值变化了，更新输入框的值
        if (value !== event.target.value) {
          event.target.value = value;
        }
      });
    }
  };

// 只允许输入浮点数
export const vFloatNumber = {
    beforeMount(el) {
      el.addEventListener('input', (e) => {
        e.target.value = e.target.value.replace(/[^\d.]/g, '').replace(/^\./g, '').replace(/\.{2,}/g, '.').replace(/^(\d+)\./g, '$1.').replace('.', '$#$').replace(/\./g, '').replace('$#$', '.');
        e.target.value = e.target.value.replace(/^(\d+)\./g, '$1.').replace(/^0+(?=[1-9])/, '');
        if (e.target.value.split('.').length > 2) {
          e.target.value = e.target.value.replace('.', '$#$').split('.').map(part => part.replace(/\d/g, '')).join('.').replace('$#$', '.').substring(0, e.target.value.length - 1);
        }
      });
    }
};
  
// 只允许输入有符号浮点数
export const vSignedFloatNumber = {
  beforeMount(el) {
    el.addEventListener('input', (e) => {
      // 获取输入框的当前值
      let value = e.target.value;
      value = value.replace(/[^-\d.]/g, '').replace(/^(-)?(\d*)\.(\d{2}).*$/, '$1$2.$3');
      // 如果值有效，则更新输入框的值
      if (value !== e.target.value) {
        e.target.value = value;
      }
    });
  }
};